Docs Rizler

Available Courses

Preview Course

GEThttps://app.rizzdial.com/api/knowledge-hub/preview/{id}
Preview Course
curl --request GET \
  --url https://app.rizzdial.com/api/knowledge-hub/preview/<id> \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "course": {
      "id": "MQ==",
      "title": "Onboarding",
      "status": "draft",
      "added_by": 12,
      "thumbnail": null,
      "company_id": 12,
      "created_at": "2026-10-21T08:00:00.000000Z",
      "updated_at": "2026-10-21T08:00:00.000000Z",
      "visibility": "public",
      "description": null,
      "preview_enabled": false,
      "preview_description": null,
      "preview_content_limit": 1
    },
    "preview_content": []
  },
  "success": true
}

Preview Course#

Preview content when preview_enabled is true. Records a preview row (email, phone if sent). Still requires a bearer token. Lessons are taken in category order up to preview_content_limit (default 1).

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 id from the matching list or builder. A raw numeric id is also accepted.

emailstringquery

Optional email stored on the preview row

phonestringquery

Optional phone stored on the preview row

curl --request GET \
  --url 'https://app.rizzdial.com/api/knowledge-hub/preview/MQ==?email=lead@example.com' \
  --header 'Authorization: Bearer {{bearer_token}}'
data.courseobject

Course with base64 id

data.preview_contentarray

Items: type lesson, category (id, title), data (lesson row)